astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v1.1.1 »
- Models and Fitting (`astropy.modeling`) »
- Rotation2D

# Rotation2D

class `astropy.modeling.rotations.``Rotation2D`

  Bases: `astropy.modeling.Model`

  Perform a 2D rotation given an angle in degrees.

  Positive angles represent a counter-clockwise rotation and vice-versa.

  Parameters:

  angle : float

  > angle of rotation in deg

  Attributes Summary

  `angle` |
  `inputs` |
  `outputs` |
  `param_names` |

  Methods Summary

  `__call__`(x, y[, model_set_axis]) | Evaluate this model using the given input(s) and the parameter values that were specified when the model was instantiated.
  `evaluate`(x, y, angle) | Apply the rotation to a set of 2D Cartesian coordinates given as two lists–one for the x coordinates and one for a y coordinates–or a single coordinate pair.

  Attributes Documentation

  `angle`
  `inputs` = (u'x', u'y')
  `outputs` = (u'x', u'y')
  `param_names` = ('angle',)

  Methods Documentation

  `__call__`(x, y, model_set_axis=None)

    Evaluate this model using the given input(s) and the parameter values that were specified when the model was instantiated.

  classmethod `evaluate`(x, y, angle)

    Apply the rotation to a set of 2D Cartesian coordinates given as two lists–one for the x coordinates and one for a y coordinates–or a single coordinate pair.